Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.nbt
Class NBTTagList

    java.lang.Object
      net.minecraft.nbt.NBTBase
          net.minecraft.nbt.NBTTagList

    public class NBTTagList

extends NBTBase

Field Summary

Fields inherited from class net.minecraft.nbt.NBTBase
`NBTTypes`

Constructor Summary
`NBTTagList()`
`NBTTagList(String par1Str)`

Method Summary
`void` | `appendTag(NBTBase par1NBTBase)` Adds the provided tag to the end of the list.
`NBTBase` | `copy()` Creates a clone of the tag.
`boolean` | `equals(Object par1Obj)`
`byte` | `getId()` Gets the type byte for the tag.
`int` | `hashCode()`
`NBTBase` | `removeTag(int par1)`
`NBTBase` | `tagAt(int par1)` Retrieves the tag at the specified index from the list.
`int` | `tagCount()` Returns the number of tags in the list.
`String` | `toString()`

Methods inherited from class net.minecraft.nbt.NBTBase
`getName, getTagName, newTag, readNamedTag, setName, writeNamedTag`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NBTTagList

    public NBTTagList()

### NBTTagList

    public NBTTagList(String par1Str)

Method Detail

### getId

    public byte getId()

  Gets the type byte for the tag.

  Specified by:
    `getId` in class `NBTBase`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### appendTag

    public void appendTag(NBTBase par1NBTBase)

  Adds the provided tag to the end of the list. There is no check to verify this tag is of the same type as any previous tag.

### removeTag

    public NBTBase removeTag(int par1)

### tagAt

    public NBTBase tagAt(int par1)

  Retrieves the tag at the specified index from the list.

### tagCount

    public int tagCount()

  Returns the number of tags in the list.

### copy

    public NBTBase copy()

  Creates a clone of the tag.

  Specified by:
    `copy` in class `NBTBase`

### equals

    public boolean equals(Object par1Obj)

  Overrides:
    `equals` in class `NBTBase`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `NBTBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD